.site-nav--icons {
    align-items: center;
    display: flex
}

.site-nav__icons {
    font-size: 0;
    white-space: nowrap
}

.site-nav__item {
    display: inline-block;
    margin: 0;
    position: relative
}

.site-nav__item li {
    display: block
}

.site-nav__item .icon-chevron-down {
    height: 10px;
    width: 10px
}

.site-nav__link {
    color: var(--colorNavText);
    display: inline-block;
    padding: 24px 12px;
    -webkit-text-decoration: none;
    text-decoration: none;
    vertical-align: middle;
    white-space: nowrap
}

.site-header--heading-style .site-nav__link {
    font-family: var(--typeHeaderPrimary),var(--typeHeaderFallback);
    font-weight: var(--typeHeaderWeight);
    letter-spacing: var(--typeHeaderSpacing);
    line-height: var(--typeHeaderLineHeight)
}

[data-type_header_capitalize=true] .site-header--heading-style .site-nav__link {
    text-transform: uppercase
}

.site-nav__link:hover {
    color: var(--colorNavText)
}

.site-nav__link:focus-visible,.js-drawer-open-nav:focus-visible,.mobile-nav__link:focus-visible,.mobile-nav__link--button:focus-visible,.mobile-nav__toggle button:focus-visible,.js-drawer-close:focus-visible {
    outline: 2px solid currentColor;
    outline-offset: 2px
}

.is-light .site-nav__link,.is-light .site-nav__link:hover {
    color: #fff
}

.site-nav--has-dropdown>.site-nav__link {
    position: relative;
    z-index: 6
}

.site-nav__link .icon-chevron-down {
    margin-left: 5px
}

@media only screen and (max-width: 768px) {
    .site-nav__link {
        padding:10px
    }

    .header-layout--center .site-nav__link {
        padding-left: 2px;
        padding-right: 2px
    }
}

.site-nav--has-dropdown {
    z-index: 6
}

.site-nav--has-dropdown.is-focused,.site-nav--has-dropdown:hover {
    z-index: 7
}

.site-nav--has-dropdown>details[open]>summary {
    color: var(--colorTextBody)!important
}

.site-nav--has-dropdown>details[open]>summary {
    background-color: var(--colorBody);
    opacity: 1;
    position: relative;
    transition: none
}

.site-nav--has-dropdown>details[open]>summary:before {
    background-color: var(--colorBorder);
    bottom: -5px;
    content: "";
    display: block;
    height: 1px;
    left: 15px;
    position: absolute;
    right: 45px;
    z-index: 6
}

.site-nav__link--icon {
    z-index: 1;
    width: 3rem;
    height: 3rem;
    padding: 12px;
    font-size: 0
}

.site-nav__link--icon .icon {
    height: 30px;
    width: 30px
}

@media only screen and (max-width: 589px) {
    .site-nav__link--icon .icon {
        height:27px;
        width: 27px
    }
}

.site-nav__dropdown {
    background-color: var(--colorBody);
    box-shadow: 0 10px 20px #00000017;
    display: block;
    left: 0;
    margin: 0;
    max-height: 90vh;
    min-width: 100%;
    overflow: initial;
    padding: 10px 0 5px;
    position: absolute;
    transform: translate3d(0,-25px,0);
    visibility: hidden;
    z-index: 5
}

details[open]>.site-nav__dropdown {
    display: block;
    transform: translateZ(0);
    transition: all .5s cubic-bezier(.2,.06,.05,.95);
    visibility: visible
}

details[open]>.site-nav__dropdown li {
    opacity: 1;
    transition: opacity .5s ease
}

.site-nav__dropdown li {
    margin: 0;
    opacity: 0;
    transition: none
}

.site-nav__dropdown>li {
    position: relative
}

.site-nav__dropdown>li>a {
    position: relative;
    z-index: 6
}

.site-nav__dropdown a:not(.megamenu__promo-link) {
    background-color: var(--colorBody);
    padding-right: 40px
}

.site-nav__deep-dropdown {
    background-color: var(--colorBody);
    box-shadow: 0 10px 20px #00000017;
    left: 100%;
    margin: 0;
    opacity: 0;
    position: absolute;
    top: 0;
    transform: translate3d(-12px,0,0);
    visibility: hidden;
    z-index: 5
}

.header-layout--center .site-nav__item:last-child .site-nav__deep-dropdown {
    left: auto;
    right: 100%
}

details[open]>.site-nav__deep-dropdown {
    opacity: 1;
    transform: translateZ(0);
    transition: all .3s cubic-bezier(.2,.06,.05,.95);
    visibility: visible
}

.site-nav__deep-dropdown:before {
    background-image: linear-gradient(90deg,rgba(0,0,0,.09),transparent);
    bottom: 0;
    content: "";
    display: block;
    left: 0;
    pointer-events: none;
    position: absolute;
    top: 0;
    width: 10px
}

.header-layout--center .site-nav__item:last-child .site-nav__deep-dropdown:before {
    background-image: linear-gradient(270deg,rgba(0,0,0,.09),transparent);
    left: auto;
    right: 0
}

.site-nav__deep-dropdown-trigger .icon-chevron-down {
    height: 10px;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: rotate(-90deg) translate(50%);
    width: 10px
}

.mobile-nav {
    margin: -20px -20px 0;
    padding-top: 17px;
    padding-right: 20px
}

.mobile-nav li {
    list-style: none;
    margin-bottom: 0
}

.mobile-nav__search {
    padding: 20px
}

.mobile-nav__item {
    display: block;
    overflow: hidden;
    position: relative;
    width: 100%
}

.mobile-nav>.mobile-nav__item {
    background-color: var(--colorDrawers)
}

.mobile-nav__item:after {
    border-bottom: 1px solid;
    border-bottom-color: var(--colorDrawerBorder);
    bottom: 0;
    content: "";
    left: 20px;
    position: absolute;
    right: 20px
}

.mobile-nav>.mobile-nav__item:last-child:after {
    display: none
}

.mobile-nav__item .mobile-nav__faux-link,.mobile-nav__item a:not(.megamenu__promo-link) {
    display: block;
    font-size: 19px
}

@media only screen and (min-width: 590px) {
    .mobile-nav__item .mobile-nav__faux-link,.mobile-nav__item a:not(.megamenu__promo-link) {
        font-size:24px
    }
}

.mobile-nav__item .mobile-nav__faux-link,.mobile-nav__item a,.mobile-nav__toggle button {
    color: var(--colorDrawerText);
    padding: 15px 20px;
    -webkit-text-decoration: none;
    text-decoration: none
}

.mobile-nav__item .mobile-nav__faux-link:active,.mobile-nav__item a:active,.mobile-nav__toggle button:active {
    color: var(--colorDrawerTextDarken)
}

.mobile-nav__item .mobile-nav__faux-link:active,.mobile-nav__item a:active,.mobile-nav__toggle button:active {
    background-color: var(--colorDrawersDim)
}

.mobile-nav__child-item {
    display: flex
}

.mobile-nav__item--secondary a {
    font-size: 15px;
    line-height: 1.2;
    padding-bottom: 5px;
    padding-top: 10px
}

.mobile-nav__item--secondary:after {
    display: none
}

.mobile-nav__spacer {
    height: 0;
    padding: 5px
}

.mobile-nav__has-sublist {
    display: table;
    position: relative;
    width: 100%
}

.mobile-nav__has-sublist .mobile-nav__link {
    display: table-cell;
    vertical-align: middle;
    width: 100%
}

.mobile-nav__link--button {
    padding: 0;
    text-align: left;
    width: 100%
}

.mobile-nav__link--button-small {
    width: auto
}

.mobile-nav__link--button-small .collapsible-trigger__icon {
    right: -10px
}

.mobile-nav__toggle {
    display: table-cell;
    vertical-align: middle;
    width: 1%
}

.mobile-nav__toggle .icon {
    height: 16px;
    width: 16px
}

.mobile-nav__sublist {
    margin: 0
}

.mobile-nav__sublist .mobile-nav__item:after {
    border-bottom: none;
    bottom: auto;
    top: 0
}

.mobile-nav__sublist .megamenu__promo--mobile:last-child,.mobile-nav__sublist .mobile-nav__item:last-child {
    padding-bottom: 20px
}

.mobile-nav__sublist .mobile-nav__faux-link,.mobile-nav__sublist .mobile-nav__link {
    font-family: var(--typeBasePrimary),var(--typeBaseFallback);
    font-size: var(--typeBaseSize);
    font-weight: var(--typeBaseWeight);
    font-weight: 400;
    letter-spacing: var(--typeBaseSpacing);
    line-height: var(--typeBaseLineHeight);
    padding: 10px 25px 10px 0
}

.mobile-nav__grandchildlist {
    margin: 0
}

.mobile-nav__grandchildlist .mobile-nav__item:last-child {
    padding-bottom: 0
}

.mobile-nav__grandchildlist .mobile-nav__link {
    padding-left: 60px
}

.mobile-nav__social {
    margin: 10px 0 15px -5px
}

.mobile-nav__social li {
    display: inline-block;
    margin-right: 10px
}

.mobile-nav__social a {
    padding: 10px 5px
}

.mobile-nav__social .icon {
    height: 24px;
    width: 24px
}

@media only screen and (min-width: 590px) {
    .site-nav__link--icon .icon {
        height:28px;
        width: 28px
    }
}


.site-nav--is-megamenu.site-nav__item {
    position: static
}

.megamenu {
    line-height: 1.8;
    max-height: 70vh;
    overflow-y: auto;
    padding: 52px 0
}

.megamenu__wrapper {
    align-items: flex-start;
    display: flex;
    flex-wrap: wrap;
    gap: 30px
}

.megamenu__promo {
    flex: 0 0 280px;
    text-align: center
}

html[dir=rtl] .megamenu__promo {
    padding-left: 0;
    padding-right: 30px
}

.megamenu__promo--mobile {
    padding: 0
}

.megamenu__promo-link {
    display: block;
    padding: 0
}

.megamenu__promo-image {
    margin-bottom: 15px
}

.megamenu__cols {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end
}

.megamenu__col {
    -moz-column-break-inside: avoid;
    break-inside: avoid;
    flex: 1 1 auto;
    page-break-inside: avoid
}

.megamenu__link-label {
    display: inline-block;
    position: relative
}

.megamenu__link-label:after {
    border-bottom: 2px solid currentColor;
    bottom: 0;
    content: "";
    display: block;
    left: 0;
    position: absolute;
    transform: scaleX(0);
    transform-origin: 0 50%;
    transition: .5s ease;
    width: 100%
}

a:hover .megamenu__link-label:after {
    transform: scaleX(1)
}

.megamenu__col-title a {
    font-size: calc(var(--typeBaseSize) + 1px);
    font-weight: 700
}

.site-nav--is-megamenu details[open] .appear-animation {
    opacity: 1;
    transform: translateY(0);
    transition-duration: .5s
}
